Subject: bug#7612: cp -pu NTFS problem

From: Paul Eggert <[email-masked]>
Date: Fri, 10 Dec 2010 23:59:45 -0800

On 12/10/2010 09:41 PM, Garry Trethewey wrote:

> 1) I can see the difference
> -                for (a /= res; a % 10 != 0; a /= 10)
> +                for (a /= res; a % 10 == 0; a /= 10)
> but I'm just not that clever to apply a patch.

If you've built the software, then
find the line that looks like the "-" line, and change it
so that it looks like a "+" line.  Then type "make".
(If all this is beyond you, then don't worry too much; the bug
will be fixed in the next version of coreutils.)

> 2) I touch'ed a dest file so it's got tomorrow's date,
> and cp -p still copies to it, although not updating  (downdating?) it's timestamp.

That sounds very much like a bug, perhaps a different bug, though I'm
afraid I can't reproduce it since I don't have your system.